libservlet3.1-java_8.0.32-1ubuntu1_all.deb


Advertisement

Description

libservlet3.1-java - Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API classes

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libservlet3.1-java_8.0.32-1ubuntu1_all.deb
Package name libservlet3.1-java
Package version 8.0.32
Package release 1ubuntu1
Package architecture all
Package type deb
Category java
Homepage http://tomcat.apache.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 380.06 KB
Installed size 480.00 KB
Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
specifications from Oracle, and provides a "pure Java" HTTP web
server environment for Java code to run.
This package contains the Java Servlet and JSP library.

Alternatives

Package Version Architecture Repository
libservlet3.1-java_8.0.32-1ubuntu1.10_all.deb 8.0.32 all Ubuntu Updates Main
libservlet3.1-java_8.0.32-1ubuntu1.10_all.deb 8.0.32 all Ubuntu Updates Main
libservlet3.1-java_8.0.32-1ubuntu1_all.deb 8.0.32 all Ubuntu Main
libservlet3.1-java - - -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libservlet3.1-java_8.0.32-1ubuntu1_all.deb
Source Package tomcat8

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libservlet3.1-java deb package:
    # sudo apt-get install libservlet3.1-java

Files

Path
/usr/share/doc/libservlet3.1-java/changelog.Debian.gz
/usr/share/doc/libservlet3.1-java/copyright
/usr/share/java/el-api-3.0.jar
/usr/share/java/jsp-api-2.3.jar
/usr/share/java/servlet-api-3.1.jar
/usr/share/java/websocket-api-1.0.jar
/usr/share/lintian/overrides/libservlet3.1-java
/usr/share/maven-repo/javax/el/javax.el-api/3.0/javax.el-api-3.0.jar
/usr/share/maven-repo/javax/el/javax.el-api/3.0/javax.el-api-3.0.pom
/usr/share/maven-repo/javax/servlet/javax.servlet-api/3.1/javax.servlet-api-3.1.jar
/usr/share/maven-repo/javax/servlet/javax.servlet-api/3.1/javax.servlet-api-3.1.pom
/usr/share/maven-repo/javax/servlet/jsp/javax.servlet.jsp-api/2.3/javax.servlet.jsp-api-2.3.jar
/usr/share/maven-repo/javax/servlet/jsp/javax.servlet.jsp-api/2.3/javax.servlet.jsp-api-2.3.pom
/usr/share/maven-repo/javax/websocket/javax.websocket-api/1.0/javax.websocket-api-1.0.jar
/usr/share/maven-repo/javax/websocket/javax.websocket-api/1.0/javax.websocket-api-1.0.pom

Changelog

2016-02-05 - Nishanth Aravamudan <nish.aravamudan@canonical.com>
tomcat8 (8.0.32-1ubuntu1) xenial; urgency=medium
* Prepare to promote tomcat8 to main (LP: #1539903).
- debian/control, 0021-ubuntu-mainize-build-xml.patch: Remove
build-dependencies on libobjenesis-java and libeasymock-java, and skip
tests that rely on the functionality they provide.
2015-12-21 - Emmanuel Bourg <ebourg@apache.org>
tomcat8 (8.0.32-1) unstable; urgency=medium
* Team upload.
* New upstream release
* Fixed a warning in catalina.out caused by an incorrect path
for the root context (Closes: #808378)
* Standards-Version updated to 3.9.7 (no changes)
2015-12-18 - Emmanuel Bourg <ebourg@apache.org>
tomcat8 (8.0.30-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Refreshed the patches
* Use LC_ALL instead of LANG to format the date and make the documentation
reproducible on the builders
2015-10-19 - Emmanuel Bourg <ebourg@apache.org>
tomcat8 (8.0.28-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Refreshed the patches
* Fixed a localized date in the documentation to improve the reproducibility
2015-08-24 - Emmanuel Bourg <ebourg@apache.org>
tomcat8 (8.0.26-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Refreshed the patches
* Changed the authbind configuration to allow IPv6 connections (LP: #1443041)
* Fixed an upgrade error when /etc/tomcat8/tomcat-users.xml is removed
(LP: #1010791)
* Fixed a minor HTML error in the default index.html file (LP: #1236132)
2015-07-08 - Emmanuel Bourg <ebourg@apache.org>
tomcat8 (8.0.24-1) unstable; urgency=medium
* Team upload.
* New upstream release
- Refreshed the patches
* debian/rules: Use an english locale when generating the documentation
to improve the reproducibility
2015-05-26 - Emmanuel Bourg <ebourg@apache.org>
tomcat8 (8.0.23-1) unstable; urgency=medium
* New upstream release
* debian/rules: Set the 'year' and 'today-iso-8601' build variables
to improve the reproducibility
2015-05-07 - Emmanuel Bourg <ebourg@apache.org>
tomcat8 (8.0.22-2) unstable; urgency=medium
* Replaced the date in ServerInfo.properties with the latest date
in debian/changelog to make the build reproducible
* debian/rules:
- Modified to use the dh sequencer
- Simplified the ant invocation and moved some properties
to debian/ant.properties
- Do not set the version.* properties already defined
in build.properties.default
- Renamed T_VER to VERSION
- Removed the RWFILES and RWLOC variables
- Merged the ANT_ARGS and ANT_INVOKE variables
- No longer remove the long gone .svn directories under
/usr/share/tomcat8/webapps/default_root
- Let dh_fixperms set the permissions instead of calling chmod +x
- Use debian/tomcat8-user.manpages instead of calling dh_installman
- Updated the copyright year in the Javadoc
- Simplified the call to mh_install
2015-05-06 - Emmanuel Bourg <ebourg@apache.org>
tomcat8 (8.0.22-1) unstable; urgency=medium
* New upstream release
- Refreshed the patches
- No longer install tomcat-spdy.jar (removed upstream)
* Removed the timestamp from the Javadoc of the Servlet API
to make the build reproducible
2015-05-01 - Miguel Landaeta <nomadium@debian.org>
tomcat8 (8.0.21-2) unstable; urgency=medium
* Upload to unstable.

See Also

Package Description
libsgutils2-2_1.40-0ubuntu1_amd64.deb utilities for devices using the SCSI command set (shared libraries)
libsgutils2-dev_1.40-0ubuntu1_amd64.deb utilities for devices using the SCSI command set (developer files)
libshout3-dev_2.3.1-3_amd64.deb MP3/Ogg Vorbis broadcast streaming library (development)
libshout3_2.3.1-3_amd64.deb MP3/Ogg Vorbis broadcast streaming library
libsigc++-2.0-0v5_2.6.2-1_amd64.deb type-safe Signal Framework for C++ - runtime
libsigc++-2.0-dev_2.6.2-1_amd64.deb type-safe Signal Framework for C++ - development files
libsigc++-2.0-doc_2.6.2-1_all.deb type-safe Signal Framework for C++ - reference documentation
libsignon-extension1_8.58+16.04.20151106-0ubuntu1_amd64.deb Single Sign On framework
libsignon-glib-dev_1.13+16.04.20151209.1-0ubuntu1_amd64.deb library for signond - development files
libsignon-glib-doc_1.13+16.04.20151209.1-0ubuntu1_all.deb library for signond - documentation
libsignon-glib1_1.13+16.04.20151209.1-0ubuntu1_amd64.deb library for signond
libsignon-plugins-common1_8.58+16.04.20151106-0ubuntu1_amd64.deb Single Sign On framework
libsignon-plugins-doc_8.58+16.04.20151106-0ubuntu1_all.deb Single Sign On framework plugins - documentation
libsignon-qt-dev_8.58+16.04.20151106-0ubuntu1_amd64.deb Development files for libsignon-qt
libsignon-qt-doc_8.58+16.04.20151106-0ubuntu1_all.deb QT bindings for single signon - documentation
Advertisement
Advertisement